Skip to main content
`Ctrl`+`K`

# skbio.metadata.IntervalMetadata.__eq__

IntervalMetadata.__eq__(other)

  Test if this object is equal to another.

  It checks if the coordinate spaces are the same between the two objects. If so, then check if all the interval features are equal between the two objects after sorting them by bounds.

  Parameters:
    other IntervalMetadata

      Interval metadata to test for equality against.

  Returns:
    bool

      Indicates if the two objects are equal.